Skip to main content
POST
/
v3
/
evals
/
experiments
/
{experiment_id}
/
items
Upload new experiment items
curl --request POST \
  --url https://{host}/v3/evals/experiments/{experiment_id}/items \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "dataset_item_id": "<string>",
    "outputs": {},
    "start_time": "2023-11-07T05:31:56Z",
    "end_time": "2023-11-07T05:31:56Z"
  }
]
'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": [
    {
      "application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dataset_item_id": "<string>",
      "outputs": {},
      "start_time": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "timestamp": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "end_time": "2023-11-07T05:31:56Z",
      "duration": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

experiment_id
string<uuid>
required

Path parameter for unique identifier of an experiment

Body

application/json
application_id
string<uuid>
required

ID of the application the experiment belongs to.

dataset_id
string<uuid>
required

ID of the dataset used for this experiment item.

dataset_item_id
string
required

ID of the specific dataset item this experiment item corresponds to.

outputs
object
required

JSON object representing the actual outputs generated by the experiment.

start_time
string<date-time>
required

Timestamp when the processing of this experiment item started.

end_time
string<date-time> | null

Optional timestamp when the processing of this experiment item ended.

Response

Experiment items uploaded successfully.

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
Experiment Item · object[]